rpms/xorg-x11-drv-intel/devel intel-2.6.99.902-to-git.patch, NONE, 1.1 intel-2.6.99.902-kms-get-crtc.patch, 1.1, 1.2 xorg-x11-drv-intel.spec, 1.11, 1.12

Adam Jackson ajax at fedoraproject.org
Mon Apr 13 15:45:53 UTC 2009


Author: ajax

Update of /cvs/pkgs/rpms/xorg-x11-drv-intel/devel
In directory cvs1.fedora.phx.redhat.com:/tmp/cvs-serv1270

Modified Files:
	intel-2.6.99.902-kms-get-crtc.patch xorg-x11-drv-intel.spec 
Added Files:
	intel-2.6.99.902-to-git.patch 
Log Message:
* Mon Apr 13 2009 Adam Jackson <ajax at redhat.com> 2.6.99.902-3
- Update to today's git snapshot.


intel-2.6.99.902-to-git.patch:

--- NEW FILE intel-2.6.99.902-to-git.patch ---
053432991c812146f6e7c6f13c6ace55385c825f

diff --git a/Makefile.am b/Makefile.am
index d1118fe..45b0c42 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -19,6 +19,7 @@
 #  CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 
 AUTOMAKE_OPTIONS = foreign
+ACLOCAL_AMFLAGS = -I m4
 
 SUBDIRS = uxa src man
 
diff --git a/RELEASING b/RELEASING
new file mode 100644
index 0000000..c4006c3
--- /dev/null
+++ b/RELEASING
@@ -0,0 +1,32 @@
+The process for releasing a new tarball is as follows:
+
+1. make sure you have the latest build requirements installed:
+
+	git://git.freedesktop.org/git/util/macros
+	git://git.freedesktop.org/git/util/modular
+
+2. update your module version (usually found in configure.ac)
+
+	$ vi configure.ac # bump version
+        $ git push origin # make sure you're on the release branch
+
+3. verify your module builds
+
+	$ make distcheck
+
+4. tag the release
+
+	$ git tag -m "Intel <ver> release" xf86-video-intel-<ver>
+
+5. run the release script (this should push the tag)
+
+	$ <path_to>/util/modular/release.sh driver xf86-video-intel-<last_ver> xf86-video-intel-<ver>
+
+6. edit the generated release message as needed and send it out
+
+	for major releases list added features and known limitations
+
+	for minor releases indicate which bugs were fixed and which
+	are still present
+
+7. throw a release party, you're done! :)
diff --git a/acinclude.m4 b/acinclude.m4
deleted file mode 100644
index 254b352..0000000
--- a/acinclude.m4
+++ /dev/null
@@ -1,140 +0,0 @@
-dnl dolt, a replacement for libtool
-dnl Copyright © 2007-2008 Josh Triplett <josh at freedesktop.org>
-dnl Copying and distribution of this file, with or without modification,
-dnl are permitted in any medium without royalty provided the copyright
-dnl notice and this notice are preserved.
-dnl
-dnl To use dolt, invoke the DOLT macro immediately after the libtool macros.
-dnl Optionally, copy this file into acinclude.m4, to avoid the need to have it
-dnl installed when running autoconf on your project.
-dnl
-dnl git snapshot: d91f2b4e9041538400e2703a2a6fbeecdb8ee27d
-AC_DEFUN([DOLT], [
-AC_REQUIRE([AC_CANONICAL_HOST])
-# dolt, a replacement for libtool
-# Josh Triplett <josh at freedesktop.org>
-AC_PATH_PROG(DOLT_BASH, bash)
-AC_MSG_CHECKING([if libtool sucks])
-AC_MSG_RESULT([yup, it does])
-AC_MSG_CHECKING([if dolt supports this host])
-dolt_supported=yes
-if test x$DOLT_BASH = x; then
-    dolt_supported=no
-fi
-if test x$GCC != xyes; then
-    dolt_supported=no
-fi
-case $host in
-i?86-*-linux*|x86_64-*-linux*|powerpc-*-linux*) ;;
-amd64-*-freebsd*|i?86-*-freebsd*|ia64-*-freebsd*) ;;
-*) dolt_supported=no ;;
-esac
-if test x$dolt_supported = xno ; then
-    AC_MSG_RESULT([no, falling back to libtool])
-    LTCOMPILE='$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(COMPILE)'
-    LTCXXCOMPILE='$(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXXCOMPILE)'
-else
-    AC_MSG_RESULT([yes, replacing libtool])
-
-dnl Start writing out doltcompile.
-    cat <<__DOLTCOMPILE__EOF__ >doltcompile
-#!$DOLT_BASH
-__DOLTCOMPILE__EOF__
-    cat <<'__DOLTCOMPILE__EOF__' >>doltcompile
-args=("$[]@")
-for ((arg=0; arg<${#args@<:@@@:>@}; arg++)) ; do
-    if test x"${args@<:@$arg@:>@}" = x-o ; then
-        objarg=$((arg+1))
-        break
-    fi
-done
-if test x$objarg = x ; then
-    echo 'Error: no -o on compiler command line' 1>&2
-    exit 1
-fi
-lo="${args@<:@$objarg@:>@}"
-obj="${lo%.lo}"
-if test x"$lo" = x"$obj" ; then
-    echo "Error: libtool object file name \"$lo\" does not end in .lo" 1>&2
-    exit 1
-fi
-objbase="${obj##*/}"
-__DOLTCOMPILE__EOF__
-
-dnl Write out shared compilation code.
-    if test x$enable_shared = xyes; then
-        cat <<'__DOLTCOMPILE__EOF__' >>doltcompile
-libobjdir="${obj%$objbase}.libs"
-if test ! -d "$libobjdir" ; then
-    mkdir_out="$(mkdir "$libobjdir" 2>&1)"
-    mkdir_ret=$?
-    if test "$mkdir_ret" -ne 0 && test ! -d "$libobjdir" ; then
-	echo "$mkdir_out" 1>&2
-        exit $mkdir_ret
-    fi
-fi
-pic_object="$libobjdir/$objbase.o"
-args@<:@$objarg@:>@="$pic_object"
-"${args@<:@@@:>@}" -fPIC -DPIC || exit $?
-__DOLTCOMPILE__EOF__
-    fi
-
-dnl Write out static compilation code.
-dnl Avoid duplicate compiler output if also building shared objects.
-    if test x$enable_static = xyes; then
-        cat <<'__DOLTCOMPILE__EOF__' >>doltcompile
-non_pic_object="$obj.o"
-args@<:@$objarg@:>@="$non_pic_object"
-__DOLTCOMPILE__EOF__
-        if test x$enable_shared = xyes; then
-            cat <<'__DOLTCOMPILE__EOF__' >>doltcompile
-"${args@<:@@@:>@}" >/dev/null 2>&1 || exit $?
-__DOLTCOMPILE__EOF__
-        else
-            cat <<'__DOLTCOMPILE__EOF__' >>doltcompile
-"${args@<:@@@:>@}" || exit $?
-__DOLTCOMPILE__EOF__
-        fi
-    fi
-
-dnl Write out the code to write the .lo file.
-dnl The second line of the .lo file must match "^# Generated by .*libtool"
-    cat <<'__DOLTCOMPILE__EOF__' >>doltcompile
-{
-echo "# $lo - a libtool object file"
-echo "# Generated by doltcompile, not libtool"
-__DOLTCOMPILE__EOF__
-
-    if test x$enable_shared = xyes; then
-        cat <<'__DOLTCOMPILE__EOF__' >>doltcompile
-echo "pic_object='$pic_object'"
-__DOLTCOMPILE__EOF__
-    else
-        cat <<'__DOLTCOMPILE__EOF__' >>doltcompile
-echo pic_object=none
-__DOLTCOMPILE__EOF__
-    fi
-
-    if test x$enable_static = xyes; then
-        cat <<'__DOLTCOMPILE__EOF__' >>doltcompile
-echo "non_pic_object='$non_pic_object'"
-__DOLTCOMPILE__EOF__
-    else
-        cat <<'__DOLTCOMPILE__EOF__' >>doltcompile
-echo non_pic_object=none
-__DOLTCOMPILE__EOF__
-    fi
-
-    cat <<'__DOLTCOMPILE__EOF__' >>doltcompile
-} > "$lo"
-__DOLTCOMPILE__EOF__
-
-dnl Done writing out doltcompile; substitute it for libtool compilation.
-    chmod +x doltcompile
-    LTCOMPILE='$(top_builddir)/doltcompile $(COMPILE)'
-    LTCXXCOMPILE='$(top_builddir)/doltcompile $(CXXCOMPILE)'
-fi
-AC_SUBST(LTCOMPILE)
-AC_SUBST(LTCXXCOMPILE)
-# end dolt
-])
diff --git a/configure.ac b/configure.ac
[...2738 lines suppressed...]
+ *
+ */
+
+#include <stdio.h>
+#include <stdlib.h>
+#include <string.h>
+#include <stdarg.h>
+#include <pciaccess.h>
+#include <err.h>
+#include <fcntl.h>
+#include <unistd.h>
+#include <dirent.h>
+#include <sys/stat.h>
+#include <sys/types.h>
+
+#include "reg_dumper.h"
+#include "../i810_reg.h"
+#include "../i830_bios.h"
+
+enum lid_status {
+    LID_UNKNOWN = -1,
+    LID_OPEN,
+    LID_CLOSE,
+};
+
+#define ACPI_BUTTON "/proc/acpi/button/"
+#define ACPI_LID "/proc/acpi/button/lid/"
+
+static int
+i830_lvds_acpi_lid_state(void)
+{
+    int fd;
+    DIR *button_dir;
+    DIR *lid_dir;
+    struct dirent *lid_dent;
+    char *state_name;
+    char state[64];
+    enum lid_status ret = LID_UNKNOWN;
+
+    button_dir = opendir(ACPI_BUTTON);
+    /* If acpi button driver is not loaded, bypass ACPI check method */
+    if (button_dir == NULL)
+	goto out;
+    closedir(button_dir);
+
+    lid_dir = opendir(ACPI_LID);
+
+    /* no acpi lid object found */
+    if (lid_dir == NULL)
+	goto out;
+
+    while (1) {
+	lid_dent = readdir(lid_dir);
+	if (lid_dent == NULL) {
+	    /* no LID object */
+	    closedir(lid_dir);
+	    goto out;
+	}
+	if (strcmp(lid_dent->d_name, ".") &&
+		strcmp(lid_dent->d_name, "..")) {
+	    break;
+	}
+    }
+    state_name = malloc(strlen(ACPI_LID) + strlen(lid_dent->d_name) + 7);
+    memset(state_name, 0, sizeof(state_name));
+    strcat(state_name, ACPI_LID);
+    strcat(state_name, lid_dent->d_name);
+    strcat(state_name, "/state");
+
+    closedir(lid_dir);
+
+    if ((fd = open(state_name, O_RDONLY)) == -1) {
+	free(state_name);
+	goto out;
+    }
+    free(state_name);
+    if (read(fd, state, 64) == -1) {
+	close(fd);
+	goto out;
+    }
+    close(fd);
+    if (strstr(state, "open"))
+	ret = LID_OPEN;
+    else if (strstr(state, "closed"))
+	ret = LID_CLOSE;
+    else /* "unsupported" */
+	ret = LID_UNKNOWN;
+
+out:
+    return ret;
+}
+
+int main(int argc, char **argv)
+{
+    I830Rec i830;
+    I830Ptr pI830 = &i830;
+    int swf14, acpi_lid;
+
+    intel_i830rec_init(pI830);
+
+    while (1) {
+	swf14 = INREG(SWF14);
+
+	printf("Intel LVDS Lid status:\n");
+	printf("\tSWF14(0x%x) : %s\n", swf14, swf14 & SWF14_LID_SWITCH_EN ? "close" : "open");
+
+	acpi_lid = i830_lvds_acpi_lid_state();
+	switch (acpi_lid) {
+	    case LID_UNKNOWN:
+		printf("\tACPI Lid state : unknown\n");
+		break;
+	    case LID_OPEN:
+		printf("\tACPI Lid state : open\n");
+		break;
+	    case LID_CLOSE:
+		printf("\tACPI Lid state : close\n");
+		break;
+	}
+	sleep(2);
+    }
+    return 0;
+}
diff --git a/src/xvmc/Makefile.am b/src/xvmc/Makefile.am
index 9e62683..a376eb7 100644
--- a/src/xvmc/Makefile.am
+++ b/src/xvmc/Makefile.am
@@ -1,5 +1,6 @@
 if XVMC
 lib_LTLIBRARIES=libI810XvMC.la libIntelXvMC.la
+endif
 
 libI810XvMC_la_SOURCES = I810XvMC.c \
 			 I810XvMC.h
@@ -123,4 +124,3 @@ BUILT_SOURCES= $(INTEL_G4B)
 clean-local:
 	-rm -f $(INTEL_G4B)
 endif
-endif
diff --git a/uxa/uxa-glyphs.c b/uxa/uxa-glyphs.c
index 5abd001..3cb03f5 100644
--- a/uxa/uxa-glyphs.c
+++ b/uxa/uxa-glyphs.c
@@ -353,9 +353,7 @@ uxa_glyph_cache_hash_remove(uxa_glyph_cache_t *cache,
 #define CACHE_Y(pos) (cache->yOffset + ((pos) / cache->columns) * cache->glyphHeight)
 
 /* The most efficient thing to way to upload the glyph to the screen
- * is to use the UploadToScreen() driver hook; this allows us to
- * pipeline glyph uploads and to avoid creating offscreen pixmaps for
- * glyphs that we'll never use again.
+ * is to use CopyArea; uxa pixmaps are always offscreen.
  */
 static Bool
 uxa_glyph_cache_upload_glyph(ScreenPtr		    pScreen,
@@ -363,37 +361,23 @@ uxa_glyph_cache_upload_glyph(ScreenPtr		    pScreen,
 			     int		    pos,
 			     GlyphPtr		    pGlyph)
 {
-    uxa_screen_t    *uxa_screen = uxa_get_screen(pScreen);
     PicturePtr	    pGlyphPicture = GlyphPicture(pGlyph)[pScreen->myNum];
     PixmapPtr	    pGlyphPixmap = (PixmapPtr)pGlyphPicture->pDrawable;
     PixmapPtr	    pCachePixmap = (PixmapPtr)cache->picture->pDrawable;
-    int		    cacheXoff, cacheYoff;
-
-    if (!uxa_screen->info->put_image || uxa_screen->swappedOut)
-	return FALSE;
-
-    /* If the glyph pixmap is already uploaded, no point in doing
-     * things this way */
-    if (uxa_pixmap_is_offscreen(pGlyphPixmap))
-	return FALSE;
+    GCPtr	    pGC;
 
     /* UploadToScreen only works if bpp match */
     if (pGlyphPixmap->drawable.bitsPerPixel != pCachePixmap->drawable.bitsPerPixel)
 	return FALSE;
 
-    pCachePixmap = uxa_get_offscreen_pixmap ((DrawablePtr)pCachePixmap, &cacheXoff, &cacheYoff);
-    if (!pCachePixmap)
-	return FALSE;
-
-    if (!uxa_screen->info->put_image(pCachePixmap,
-				     CACHE_X(pos) + cacheXoff,
-				     CACHE_Y(pos) + cacheYoff,
-				     pGlyph->info.width,
-				     pGlyph->info.height,
-				     (char *)pGlyphPixmap->devPrivate.ptr,
-				     pGlyphPixmap->devKind))
-	return FALSE;
-
+    pGC = GetScratchGC(pCachePixmap->drawable.depth, pScreen);
+    ValidateGC(&pCachePixmap->drawable, pGC);
+    (void) uxa_copy_area (&pGlyphPixmap->drawable,
+			  &pCachePixmap->drawable,
+			  pGC,
+			  0, 0, pGlyph->info.width, pGlyph->info.height,
+			  CACHE_X(pos), CACHE_Y(pos));
+    FreeScratchGC (pGC);
     return TRUE;
 }
 

intel-2.6.99.902-kms-get-crtc.patch:

Index: intel-2.6.99.902-kms-get-crtc.patch
===================================================================
RCS file: /cvs/pkgs/rpms/xorg-x11-drv-intel/devel/intel-2.6.99.902-kms-get-crtc.patch,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- intel-2.6.99.902-kms-get-crtc.patch	12 Mar 2009 22:53:18 -0000	1.1
+++ intel-2.6.99.902-kms-get-crtc.patch	13 Apr 2009 15:45:53 -0000	1.2
@@ -1,8 +1,8 @@
-diff -up xf86-video-intel-2.6.99.902/src/drmmode_display.c.jx xf86-video-intel-2.6.99.902/src/drmmode_display.c
---- xf86-video-intel-2.6.99.902/src/drmmode_display.c.jx	2009-03-12 18:24:10.000000000 -0400
-+++ xf86-video-intel-2.6.99.902/src/drmmode_display.c	2009-03-12 18:41:31.813969036 -0400
-@@ -550,8 +550,19 @@ drmmode_output_dpms(xf86OutputPtr output
- 	}
+diff -up xf86-video-intel-2.6.99.902/src/drmmode_display.c.get-crtc xf86-video-intel-2.6.99.902/src/drmmode_display.c
+--- xf86-video-intel-2.6.99.902/src/drmmode_display.c.get-crtc	2009-04-13 11:41:29.000000000 -0400
++++ xf86-video-intel-2.6.99.902/src/drmmode_display.c	2009-04-13 11:42:50.000000000 -0400
+@@ -730,8 +730,19 @@ drmmode_output_set_property(xf86OutputPt
+     return FALSE;
  }
  
 +#ifdef RANDR_GET_CRTC_INTERFACE
@@ -14,10 +14,10 @@
 +#endif
 +
  static const xf86OutputFuncsRec drmmode_output_funcs = {
- 	.dpms = drmmode_output_dpms,
+ 	.create_resources = drmmode_output_create_resources,
 +#ifdef RANDR_GET_CRTC_INTERFACE
 +	.get_crtc = drmmode_get_crtc,
 +#endif
- #if 0
- 
- 	.save = drmmode_crt_save,
+ #ifdef RANDR_12_INTERFACE
+ 	.set_property = drmmode_output_set_property,
+ #endif


Index: xorg-x11-drv-intel.spec
===================================================================
RCS file: /cvs/pkgs/rpms/xorg-x11-drv-intel/devel/xorg-x11-drv-intel.spec,v
retrieving revision 1.11
retrieving revision 1.12
diff -u -r1.11 -r1.12
--- xorg-x11-drv-intel.spec	7 Apr 2009 13:41:32 -0000	1.11
+++ xorg-x11-drv-intel.spec	13 Apr 2009 15:45:53 -0000	1.12
@@ -3,12 +3,10 @@
 %define moduledir %(pkg-config xorg-server --variable=moduledir )
 %define driverdir	%{moduledir}/drivers
 
-%define batchbuffer_version 2.2.0-219-gc9676d0
-
 Summary:   Xorg X11 Intel video driver(s)
 Name:      xorg-x11-drv-intel
 Version:   2.6.99.902
-Release:   2%{?dist}
+Release:   3%{?dist}
 URL:       http://www.x.org
 License:   MIT
 Group:     User Interface/X Hardware Support
@@ -16,12 +14,10 @@
 
 Source0:   http://xorg.freedesktop.org/archive/individual/driver/xf86-video-intel-%{version}.tar.bz2 
 
-# Update git snapshot by saying make dist distdir=$(git-describe) from
-# the intel-batchbuffer branch.
-#Source1:   xf86-video-intel-%{batchbuffer_version}.tar.bz2 
 Source2:   intel.xinf
 
-Patch1: rc1-to-2.7.patch
+# 053432991c812146f6e7c6f13c6ace55385c825f 
+Patch1: intel-2.6.99.902-to-git.patch
 Patch2: kill-svideo.patch
 Patch3: copy-fb.patch
 Patch4: intel-2.6.99.902-kms-get-crtc.patch
@@ -38,7 +34,6 @@
 Requires:  hwdata
 Requires:  xorg-x11-server-Xorg >= 1.4.99.1
 
-Conflicts:  kudzu < 1.2.42-1
 Requires:  kernel >= 2.6.29-0.203.rc7.fc11
 Provides:   %{legacyname} = %{legacyver}
 Obsoletes:  %{legacyname} < %{legacyver}
@@ -59,7 +54,7 @@
 
 %prep
 %setup -q -n xf86-video-intel-%{version}
-%patch1 -p1 -b .rc1-to-2.7
+%patch1 -p1 -b .to-git
 %patch2 -p1 -b .svideo
 %patch3 -p1 -b .copy-fb
 %patch4 -p1 -b .get-crtc
@@ -101,6 +96,9 @@
 %{_libdir}/libIntelXvMC.so
 
 %changelog
+* Mon Apr 13 2009 Adam Jackson <ajax at redhat.com> 2.6.99.902-3
+- Update to today's git snapshot.
+
 * Mon Apr  6 2009 Kristian Høgsberg <krh at redhat.com> - 2.6.99.902-2
 - Update to newer 2.7 snapshot, drop no-legacy3d.patch.
 




More information about the fedora-extras-commits mailing list